> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a volume



## OpenAPI

````yaml openapi.json POST /api/volume
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/volume:
    post:
      tags:
        - Volumes
      summary: Create a volume
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVolumeParams'
      responses:
        '200':
          description: Volume created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Volume'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateVolumeParams:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
      required:
        - name
      additionalProperties: false
    Volume:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        size:
          type: number
          description: Volume size in bytes.
        transferAmount:
          type: number
          description: Data transferred in bytes.
      required:
        - id
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````